Subject: Re: [bitcoin-dev] [patch] Switching Bitcoin Core to sqlite db

From: Jeff Garzik <[email-masked]>
Date: Wed, 28 Oct 2015 17:11:47 -0400

On Wed, Oct 28, 2015 at 4:28 PM, Sean Lynch <[email-masked]> wrote:

> On Fri, Oct 23, 2015 at 1:23 AM Lucas Betschart via bitcoin-dev <
> [email-masked]> wrote:
>
>> Facebook has a LevelDB fork which is maintained.
>> It's called RocksDB and the API seems to be nearly the same as for
>> LevelDB, thus maybe easy to replace: http://rocksdb.org/
>> https://github.com/facebook/rocksdb
>>
>> Although I don't know if we might have some negative effects for our
>> use-case since RocksDB was optimized for big databases running on multiple
>> cores.
>>
>
> While RocksDB is pretty decent, note that it's optimized for flash. Not
> sure how well it will work on spinning disks.
>

That's OK for our purposes.  We have a huge database which already
incentivized having zero seek time.